Bug 97969 - (AUDIO SIS7012)Choppy sound with Intel i810/SiS7012
(AUDIO SIS7012)Choppy sound with Intel i810/SiS7012
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 14:30 EDT by Todd A. Jacobs
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd A. Jacobs 2003-06-24 14:30:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
Audio sounds choppy and full of static, sort of like a bad FM channel. The
onboard soundcard appears to be sharing an IRQ with USB, but the BIOS does not
support assigning specific IRQs, and /usr/src/linux-2.4/Documentation/sound/
contains no documentation related to modifying the driver's settings. 

Here is the relevant output from various utilities.

From procinfo:
    irq  9:     94314 usb-ohci, SiS 7012

From dmesg:
    Intel 810 + AC97 Audio, version 0.24, 07:13:38 May 29 2003
    i810: SiS 7012 found at IO 0xd400 and 0xd000, MEM 0x0000 and 0x0000, IRQ 9
    i810_audio: Audio Controller supports 6 channels.
    i810_audio: Defaulting to base 2 channel mode.
    i810_audio: Resetting connection 0
    ac97_codec: AC97 Audio codec, id: ALG32 (ALC650)
    i810_audio: AC'97 codec 0 supports AMAP, total channels = 6 

From lsmod:
    Module                  Size  Used by    Tainted: PF
    i810_audio             27624   0
    ac97_codec             14600   0 [i810_audio]
    soundcore               6404   2 [i810_audio]

From lspci:
    00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS]
SiS7012 PCI Audio Accelerator (rev a0)



Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9

How reproducible:
Always

Steps to Reproduce:
Play any MPG or AVI file using xine, gmplayer, mplayer, or similar.

Actual Results:  Poor quality sound.

Expected Results:  Normal sound output.

Additional info:

Files play fine on different machine with a different onboard soundcard and
running RH 8.0.
Comment 1 Bugzilla owner 2004-09-30 11:41:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.